You are running an unsupported installation

Boas Malta tudo bem.

Peço desculpa se este tema ja foi discutido mas ja pesquisei e nao consigo resolver.
tenho este 2 problemas e por essa razao nao consigo atualizar

You are running an unsupported installation
Your installtion is running in an unhealthy state

tenho o meu Home assitante a roalr numa VM no proxmox

qualer ajuda agradeco mesmo que tenha de instalr tudo de novo mas de outra forma.

a única distro suportada para correr HA é o debian buster. Para não teres esses avisos tens de deixar o ubuntu

1 Like

Boas… Tenho debian 10 direito na máquina + docker… É tb tenho o mesmo problema

tens de cumprir certos requisitos. Se carregares no ‘learn more’ tens lá explicado

ja fiz isso e nao me resolveu…

tenho os seguintes erros:


20-12-11 15:10:01 ERROR (MainThread) [supervisor.utils.json] Can't read json from /data/jobs.json: Expecting property name enclosed in double quotes: line 1 column 2 (char 1)

20-12-11 15:10:01 WARNING (MainThread) [supervisor.resolution.evaluations.docker_configuration] Docker logging driver json-file is not supported!
20-12-11 15:10:01 WARNING (MainThread) [supervisor.resolution.evaluations.base] The configuration of Docker is not supported (more-info: https://www.home-assistant.io/more-info/unsupported/docker_configuration)
20-12-11 15:10:01 WARNING (MainThread) [supervisor.resolution.evaluations.base] Docker version '18.09.1' is not supported by the Supervisor! (more-info: https://www.home-assistant.io/more-info/unsupported/docker_version)

20-12-11 15:10:08 WARNING (MainThread) [supervisor.dbus.network] No Network Manager support on the host. Local network functions have been disabled.
20-12-11 15:10:13 WARNING (MainThread) [supervisor.dbus.rauc] Host has no rauc support. OTA updates have been disabled.

20-12-11 15:10:23 WARNING (MainThread) [supervisor.resolution.evaluations.base] NetworkManager is not correctly configured (more-info: https://www.home-assistant.io/more-info/unsupported/network_manager)

20-12-11 15:10:23 WARNING (MainThread) [supervisor.core] System running in a unsupported environment!
20-12-11 15:10:23 CRITICAL (MainThread) [supervisor.core] System running in a unhealthy state and need manual intervention!

imagem

ja tentei atualizar a versao do docker mas nao estou a conseguir…

Liga te ao servidor de HA com Putty e ussa estes comandos

sudo apt-get update
sudo apt-get upgrade docker-ce
root@debian-HA-Coelho:~# apt upgrade docker-ce
A ler as listas de pacotes... Pronto
A construir árvore de dependências
A ler a informação de estado... Pronto
O pacote docker-ce não está disponível, mas é referenciado por outro pacote.
Isso pode significar que o pacote falta, ou ficou obsoleto, ou
está disponível somente a partir de outra fonte
No entanto, os seguintes pacotes substituem-no:
  docker-ce-cli:amd64

E: O pacote 'docker-ce' não tem candidato para instalação
root@debian-HA-Coelho:~#
root@debian-HA-Coelho:~#
root@debian-HA-Coelho:~# apt upgrade docker-ce-cli:amd64
A ler as listas de pacotes... Pronto
A construir árvore de dependências
A ler a informação de estado... Pronto
A calcular a actualização... Pronto
Alguns pacotes não puderam ser instalados. Isso pode significar que
você solicitou uma situação impossível ou se você está a usar a
distribuição unstable em que alguns pacotes pedidos ainda não foram
criados ou foram movidos do Incoming.
A seguinte informação pode ajudar a resolver a situação:

Os pacotes a seguir têm dependências não satisfeitas:
 docker-ce-cli:amd64 : Depende: libc6:amd64 (>= 2.3.2) mas não é instalável
                       Em Conflito: docker.io mas 18.09.1+dfsg1-7.1+deb10u2 está para ser instalado
E: Pacotes estragados
root@debian-HA-Coelho:~#

Para quem está a correr o HA supervised NÃO ACTUALIZEM para o Docker para o último v20!!! Perdi três dias com isso!! Instalei tudo de novo e voltaram-me a dsaparecer os containers do docker para só depois ver este alerta

corram a instalação do docker novamente, foi assim que resolvi

Podes explicar melhor… Quais foram os comandos… Peço desculpa, por queres a papa toda… Mas já tentei n vez e sem sucesso… E não queria voltar a instalar tudo de novo.
Obrigado

Também tinha o mesmo problema mas lendo o ‘learn more’, cheguei a uma solução em que ainda que o OS não seja “suportado”, funciona !

HA


Copyright © 2017-2020. Todos os direitos reservados
CPHA.pt - info@cpha.pt


FAQ | Termos de Serviço/Regras | Política de Privacidade